Package fr.gouv.vitam.common.model.administration

# Class ManagementContractModel

java.lang.Object
fr.gouv.vitam.common.model.administration.AbstractContractModel
fr.gouv.vitam.common.model.administration.ManagementContractModel

public class ManagementContractModel extends AbstractContractModel
Data Transfer Object Model of management contract (DTO).

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.model.administration.AbstractContractModel

  `TAG_CREATION_DATE, TAG_DESCRIPTION, TAG_IDENTIFIER, TAG_LAST_UPDATE, TAG_NAME, TAG_STATUS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManagementContractModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<PersistentIdentifierPolicy>`
  `getPersistentIdentifierPolicyList()`
  `StorageDetailModel`
  `getStorage()`
  `VersionRetentionPolicyModel`
  `getVersionRetentionPolicy()`
  `void`
  `setPersistentIdentifierPolicyList(List<PersistentIdentifierPolicy> persistentIdentifierPolicyList)`
  `ManagementContractModel`
  `setStorage(StorageDetailModel storage)`
  `ManagementContractModel`
  `setVersionRetentionPolicy(VersionRetentionPolicyModel versionRetentionPolicy)`

  ### Methods inherited from class fr.gouv.vitam.common.model.administration.AbstractContractModel

  `getActivationdate, getActivationDate, getCreationdate, getCreationDate, getDeactivationdate, getDeactivationDate, getDescription, getId, getIdentifier, getLastupdate, getLastUpdate, getName, getStatus, getTenant, getVersion, setActivationdate, setActivationDate, setCreationdate, setCreationDate, setDeactivationdate, setDeactivationDate, setDescription, setId, setIdentifier, setLastupdate, setLastUpdate, setName, setStatus, setTenant, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ManagementContractModel

    public ManagementContractModel()

- ## Method Details

  - ### getStorage

    public StorageDetailModel getStorage()

  - ### setStorage

    public ManagementContractModel setStorage(StorageDetailModel storage)

  - ### getVersionRetentionPolicy

    public VersionRetentionPolicyModel getVersionRetentionPolicy()

  - ### setVersionRetentionPolicy

    public ManagementContractModel setVersionRetentionPolicy(VersionRetentionPolicyModel versionRetentionPolicy)

  - ### getPersistentIdentifierPolicyList

    public List<PersistentIdentifierPolicy> getPersistentIdentifierPolicyList()

  - ### setPersistentIdentifierPolicyList

    public void setPersistentIdentifierPolicyList(List<PersistentIdentifierPolicy> persistentIdentifierPolicyList)